"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Model = exports.db = void 0;
const objection_1 = require("objection");
const initKnex = require("knex");
const knexConfig = require('../../../knexfile'); // eslint-disable-line @typescript-eslint/no-var-requires
const knex = initKnex(Object.assign(Object.assign({}, knexConfig), objection_1.knexSnakeCaseMappers()));
exports.db = knex;
class Model extends objection_1.Model {
}
exports.Model = Model;
Model.modelPaths = [__dirname];
Model.knex(knex);
var objection_2 = require("objection");
Object.defineProperty(exports, "raw", { enumerable: true, get: function () { return objection_2.raw; } });
Object.defineProperty(exports, "ValidationError", { enumerable: true, get: function () { return objection_2.ValidationError; } });
var page_1 = require("./page");
Object.defineProperty(exports, "Page", { enumerable: true, get: function () { return page_1.Page; } });
var branch_1 = require("./branch");
Object.defineProperty(exports, "Branch", { enumerable: true, get: function () { return branch_1.Branch; } });
var draft_1 = require("./draft");
Object.defineProperty(exports, "Draft", { enumerable: true, get: function () { return draft_1.Draft; } });
var user_1 = require("./user");
Object.defineProperty(exports, "User", { enumerable: true, get: function () { return user_1.User; } });
var user_membership_1 = require("./user-membership");
Object.defineProperty(exports, "UserMembership", { enumerable: true, get: function () { return user_membership_1.UserMembership; } });
var vote_1 = require("./vote");
Object.defineProperty(exports, "Vote", { enumerable: true, get: function () { return vote_1.Vote; } });
var page_revision_1 = require("./page-revision");
Object.defineProperty(exports, "PageRevision", { enumerable: true, get: function () { return page_revision_1.PageRevision; } });
var page_tag_1 = require("./page-tag");
Object.defineProperty(exports, "PageTag", { enumerable: true, get: function () { return page_tag_1.PageTag; } });
var tag_1 = require("./tag");
Object.defineProperty(exports, "Tag", { enumerable: true, get: function () { return tag_1.Tag; } });
var page_comment_1 = require("./page-comment");
Object.defineProperty(exports, "PageComment", { enumerable: true, get: function () { return page_comment_1.PageComment; } });
//# sourceMappingURL=index.js.map