"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageTag = void 0;
const _1 = require(".");
class PageTag extends _1.Model {}
exports.PageTag = PageTag;
PageTag.tableName = "page_tags";
PageTag.idColumn = ["pageId", "tagId"];
PageTag.relationMappings = {
    page: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: "page",
        join: {
            from: "page_tags.pageId",
            to: "page.id",
        },
    },
    tag: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: "tag",
        join: {
            from: "page_revisions.tagId",
            to: "tags.id",
        },
    },
};
//# sourceMappingURL=page-tag copy.js.map
