"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
const _1 = require(".");
class Text extends _1.Model {}
exports.Text = Text;
Text.tableName = "texts";
Text.relationMappings = {
    page: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: "page",
        join: {
            from: "texts.textableId",
            to: "pages.id",
        },
    },
    user: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: "user",
        join: {
            from: "texts.userId",
            to: "users.id",
        },
    },
};
//# sourceMappingURL=text.js.map
