"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Vote = void 0;
const _1 = require(".");
class Vote extends _1.Model {
}
exports.Vote = Vote;
Vote.tableName = 'votes';
Vote.idColumn = ['pageId', 'userId'];
Vote.relationMappings = {
    page: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: 'page',
        join: {
            from: 'votes.pageId',
            to: 'pages.id',
        },
    },
    user: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: 'user',
        join: {
            from: 'pages.wikiName',
            to: 'branches.name',
        },
    },
};
//# sourceMappingURL=vote.js.map