'use strict';

exports.up = (knex) =>
    knex.raw(`
    CREATE TABLE user_memberships (
        user_id         BIGINT          NOT NULL,
        branch_name     TEXT,

        created_at      TIMESTAMPTZ     NOT NULL DEFAULT now(),
        moderator       BOOLEAN         NOT NULL DEFAULT false,
        admin           BOOLEAN         NOT NULL DEFAULT false,

        PRIMARY KEY (user_id, branch_name)
    );
`);

exports.down = (knex) =>
    knex.raw(`
    DROP TABLE user_memberships;
`);
