"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
if (!process.env.WIKIDOT_API_TOKEN) {
    throw new Error('Wikidot api token is required');
}
exports.config = {
    queues: [
        {
            name: 'common',
            concurrency: 4,
        },
        {
            name: 'import',
            concurrency: 4,
        },
    ],
    appHost: process.env.APP_HOST || 'https://scp.resure.net',
    wikidotApiToken: process.env.WIKIDOT_API_TOKEN,
};
//# sourceMappingURL=config.js.map