"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Draft = void 0;
const _1 = require(".");
class Draft extends _1.Model {
    static get jsonSchema() {
        return {
            type: 'object',
            required: ['title', 'content'],
            properties: {
                title: { type: 'string', minLength: 1, maxLength: 1000 },
                content: { type: 'string', minLength: 1, maxLength: 100000 },
            },
        };
    }
}
exports.Draft = Draft;
Draft.tableName = 'drafts';
Draft.ID_REG = /^\d{18}$/;
//# sourceMappingURL=draft.js.map