"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageRevision = void 0;
const _1 = require(".");
class PageRevision extends _1.Model {}
exports.PageRevision = PageRevision;
PageRevision.tableName = "page_revisions";
PageRevision.relationMappings = {
    page: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: "page",
        join: {
            from: "page_revisions.pageId",
            to: "page.id",
        },
    },
    user: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: "user",
        join: {
            from: "page_revisions.userId",
            to: "users.id",
        },
    },
};
//# sourceMappingURL=page-revision copy.js.map
