'use strict';

exports.up = (knex) =>
    knex.raw(`
    CREATE TABLE branches (
        name            text NOT NULL,
        title           text NOT NULL,
        url             text,
        description     text,
        language        text,
        host            text NOT NULL DEFAULT md5(random()::text),
        regular_import  bool NOT NULL DEFAULT FALSE,

        PRIMARY KEY ("name")
    );
`);

exports.down = (knex) =>
    knex.raw(`
    DROP TABLE branches;
`);
